function WLayer(id,_2,_3,_4,_5){
this.id=id;
this.parentWindow=(_2?_2:self);
this.scrollable=(_3?_3:false);
this.sizeToContent=(_4?_4:true);
this.allowTransparency=(_5?_5:false);
this.containerGUID=WUtilities.getGUID(this.id+"_container");
this.rendered=false;
this.timeout=-1;
this.timeoutType="destroy";
this.setEventListeners=false;
this.timer=null;
this.dimension=new Dimension(200,100);
this.html=null;
this.htmlElement=null;
this.position=new Position(0,0,0);
this.visible=true;
this.init=WLayer_init;
this.getContentDimension=WLayer_getContentDimension;
this.sizeContainerToContent=WLayer_sizeContainerToContent;
this.setHTML=WLayer_setHTML;
this.setHTMLElement=WLayer_setHTMLElement;
this.setDimension=WLayer_setDimension;
this.setPosition=WLayer_setPosition;
this.setVisible=WLayer_setVisible;
this.setTimeout=WLayer_setTimeout;
this.clearTimeout=WLayer_clearTimeout;
this.getID=WLayer_getID;
this.isRendered=WLayer_isRendered;
this.getDimension=new Function("","return this.dimension;");
this.getPosition=new Function("","return this.position;");
this.isVisible=new Function("","return this.visible;");
this.isSizeToContent=new Function("","return this.sizeToContent;");
this.isScrollable=new Function("","return this.scrollable;");
this.getContainer=WLayer_getContainer;
this.render=WLayer_render;
this.update=WLayer_update;
this.destroy=WLayer_destroy;
this.init();
}
function WLayer_init(){
}
function WLayer_getContentDimension(){
var _6=null;
var _7=this.getContainer();
if(_7){
_7.style.width="0px";
_7.style.height="0px";
var _8=_7.childNodes.item(0);
if(_8){
_6=new Dimension(_8.offsetWidth,_8.offsetHeight);
}
}
return _6;
}
function WLayer_setDimension(_9){
this.dimension=(_9?_9:new Dimension(200,100));
this.sizeToContent=false;
var _a=this.getContainer();
if(_a){
_a.style.width=this.dimension.getWidth()+"px";
_a.style.height=this.dimension.getHeight()+"px";
}
}
function WLayer_setHTML(_b){
this.html=_b;
}
function WLayer_setHTMLElement(_c){
this.htmlElement=_c;
}
function WLayer_setPosition(_d){
this.position=(_d?_d:new Position(0,0,100));
var _e=this.getContainer();
if(_e){
_e.style.left=this.position.getX()+"px";
_e.style.top=this.position.getY()+"px";
_e.style.zIndex=this.position.getZ();
}
}
function WLayer_setVisible(_f){
if(this.visible!=_f){
this.visible=(_f&&_f==true?true:false);
var _10=this.getContainer();
if(_10){
_10.style.visibility=(this.visible?"visible":"hidden");
}
}
}
function WLayer_getID(){
return this.id;
}
function WLayer_isRendered(){
return this.rendered;
}
function WLayer_getContainer(){
return this.parentWindow.document.getElementById(this.containerGUID);
}
function WLayer_render(){
}
function WLayer_update(){
}
function WLayer_destroy(){
}
function WLayer_sizeContainerToContent(){
var _11=this.getContentDimension();
if(_11!=null){
var _12=this.sizeToContent;
this.setDimension(_11);
this.sizeToContent=_12;
}
}
function WLayer_setTimeout(_13,_14,_15){
this.timeout=_13;
this.timeoutType=(_14?_14:"destroy");
this.setEventListeners=(_15?_15:false);
if(!this.isRendered()){
if(this.setEventListeners){
var _16=this.getContainer();
_16.onmouseover=new Function("","WLayer_stopTimer('"+this.id+"');");
_16.onfocus=new Function("","WLayer_stopTimer('"+this.id+"');");
_16.onmouseout=new Function("","WLayer_startTimer('"+this.id+"');");
_16.onblur=new Function("","WLayer_startTimer('"+this.id+"');");
}
}
if(this.timeout>=0){
clearTimeout(this.timer);
this.timer=setTimeout("WLayer_handleTimeout(\""+this.id+"\")",this.timeout);
}
}
function WLayer_clearTimeout(){
if(this.timer!=null){
clearTimeout(this.timer);
this.timer=null;
this.timeout=-1;
}
}
function WLayer_stopTimer(id){
var _18=WLayerManager.getWLayerByID(id);
if(_18){
_18.tempTimeout=new Number(_18.timeout);
_18.clearTimeout();
}
}
function WLayer_startTimer(id){
var _1a=WLayerManager.getWLayerByID(id);
if(_1a){
var _1b=(_1a.tempTimeout?_1a.tempTimeout:_1a.timeout);
_1a.setTimeout(_1b);
}
}
function WLayer_handleTimeout(id){
var _1d=WLayerManager.getWLayerByID(id);
if(_1d){
_1d.clearTimeout();
if(this.timeoutType=="destroy"){
_1d.destroy();
}else{
_1d.setVisible(false);
}
}
}

