function TimeChooser(id,_2,_3,_4,_5,_6,_7){
this.id=id;
this.textID=_2;
this.buttonID=_3;
this.pattern=_4;
this.is24hr=_4.indexOf("a")==-1;
this.showSeconds=_4.indexOf("s")!=-1;
this.isLTR=_5;
this.tabIndex=_6;
this.secureURL=(_7?_7:null);
this.title=null;
this.layer=null;
this.text=new Array();
this.styleSheets=new Array();
this.elementsById=new Array();
this.showTimeChooser=TimeChooser_show;
this.hideTimeChooser=TimeChooser_hide;
this.setText=TimeChooser_setText;
this.getText=TimeChooser_getText;
this.makeId=TimeChooser_makeId;
this.getElementById=TimeChooser_getElementById;
this.addStyleSheet=TimeChooser_addStyleSheet;
this.createTimeDiv=TimeChooser_createTimeDiv;
this.parseTime=TimeChooser_parseTime;
this.formatNumber=TimeChooser_formatNumber;
}
function TimeChooser_makeId(id,_9){
var _a=this.id+"_"+id;
if(_9!=null){
this.elementsById[_a]=_9;
}
return _a;
}
function TimeChooser_getElementById(id,_c){
if(_c!=null){
return _c.getElementById(id);
}else{
return document.getElementById(id);
}
}
function TimeChooser_setText(_d,_e){
this.text[_d]=_e;
}
function TimeChooser_getText(_f){
var _10=this.text[_f];
if(_10==null){
_10=_f;
}
return _10;
}
function TimeChooser_addStyleSheet(css){
this.styleSheets[this.styleSheets.length]=css;
}
function TimeChooser_hide(){
if(this.layer!=null){
this.layer.setVisible(false);
}
}
function TimeChooser_show(){
if(this.layer==null||!this.layer.isRendered()){
this.layer=WLayerFactory.createWLayer(this.id,self,false,true,false,this.secureURL);
this.layer.setHTMLElement(this.createTimeDiv());
this.layer.render();
}else{
if(this.layer!=null&&this.layer.isVisible()){
this.hideTimeChooser();
return;
}
}
var doc=null;
var _13=this.getElementById(this.buttonID,doc).parentNode.previousSibling.previousSibling;
var _14=_13.childNodes[_13.childNodes.length-1];
var _15=this.parseTime(_14.value,this.pattern);
var _16=WUtilities.getLeft(_14,true);
var _17=WUtilities.getTop(_14,true)+WUtilities.getHeight(_14,true);
if(!this.isLTR){
_16-=this.layer.getDimension().getWidth()-WUtilities.getWidth(_14);
}
this.getElementById(this.makeId("hours"),doc).value=_15[0];
this.getElementById(this.makeId("minutes"),doc).value=_15[1];
this.getElementById(this.makeId("seconds"),doc).value=_15[2];
if(!this.is24hr){
var _18=this.getElementById(this.makeId("ampm"),doc);
_18.selectedIndex=_18.options[1].value.toUpperCase()==_15[3].toUpperCase()?1:0;
}
this.layer.setPosition(new Position(_16,_17));
this.layer.setVisible(true);
this.getElementById(this.makeId("hours"),doc).focus();
}
function TimeChooser_createTimeDiv(){
var div=document.createElement("DIV");
var _1a=document.createElement("INPUT");
var _1b=document.createElement("TABLE");
var _1c=document.createElement("THEAD");
var _1d=document.createElement("TBODY");
var _1e=document.createElement("TFOOT");
var _1f=document.createElement("TABLE");
var _20=document.createElement("TBODY");
var tr=document.createElement("TR");
var td=document.createElement("TD");
var _23=document.createElement("SPAN");
var ok=document.createElement("INPUT");
var _25=document.createElement("INPUT");
var _26=document.createElement("INPUT");
var _27=document.createElement("INPUT");
var _28=document.createElement("INPUT");
var _29=document.createElement("SELECT");
var _2a=document.createElement("OPTION");
div.id=this.makeId("timeDiv",div);
if(!WClient.isBrowserMozilla()||WClient.isBrowserNetscape()){
div.style.width="0%";
}
ok.type="button";
ok.value=this.getText("OK");
ok.className="b1";
ok.onmouseover=TimeChooser_buttonOverHandler;
ok.onmouseout=TimeChooser_buttonOutHandler;
ok.onclick=TimeChooser_buttonOkHandler;
_25.type="button";
_25.value=this.getText("CANCEL");
_25.className="b1";
_25.onmouseover=TimeChooser_buttonOverHandler;
_25.onmouseout=TimeChooser_buttonOutHandler;
_25.onclick=TimeChooser_buttonCancelHandler;
_26.type="text";
_26.size=2;
_26.maxLength=2;
_26.className="te1";
_26.id=this.makeId("hours",_26);
_27.type="text";
_27.size=2;
_27.maxLength=2;
_27.className="te1";
_27.id=this.makeId("minutes",_27);
_28.type=this.showSeconds?"text":"hidden";
_28.size="2";
_28.maxLength=2;
_28.className="te1";
_28.id=this.makeId("seconds",_28);
_29.className="cb1";
_29.id=this.makeId("ampm",_29);
_2a.innerHTML=this.getText("AM");
_2a.value=this.getText("AM");
_29.appendChild(_2a);
_2a=document.createElement("OPTION");
_2a.innerHTML=this.getText("PM");
_2a.value=this.getText("PM");
_29.appendChild(_2a);
if(this.tabIndex!=0){
ok.tabIndex=this.tabIndex;
_25.tabIndex=this.tabIndex;
_26.tabIndex=this.tabIndex;
_27.tabIndex=this.tabIndex;
_28.tabIndex=this.tabIndex;
_29.tabIndex=this.tabIndex;
}
_1a.type="hidden";
_1a.value=this.id;
div.appendChild(_1a);
_1b.border=0;
_1b.cellSpacing=0;
_1b.cellPadding=0;
_1b.dir=this.isLTR?"LTR":"RTL";
_1b.className="tc4";
_23.innerHTML="&nbsp;";
div.appendChild(_1b);
_1b.appendChild(_1c);
_1f.border=0;
_1f.cellSpacing=0;
_1f.cellPadding=0;
_1f.dir="LTR";
_1f.className="tc5";
tr=document.createElement("TR");
td=document.createElement("TD");
td.className="tc6";
_1b.appendChild(_1c);
_1c.appendChild(tr);
tr.appendChild(td);
td.appendChild(_1f);
_1f.appendChild(_20);
tr=document.createElement("TR");
td=document.createElement("TD");
_20.appendChild(tr);
tr.appendChild(td);
td.className="tc1";
td.innerHTML=this.getText("HOURS");
td=document.createElement("TD");
tr.appendChild(td);
td.innerHTML=this.getText("MINUTES");
td.className="tc1";
if(this.showSeconds){
td=document.createElement("TD");
tr.appendChild(td);
td.innerHTML=this.getText("SECONDS");
td.className="tc1";
}
td=document.createElement("TD");
tr.appendChild(td);
td.innerHTML="&nbsp;";
td.className="tc1";
tr=document.createElement("TR");
td=document.createElement("TD");
td.className="tc2";
_1f.appendChild(_1d);
_1d.appendChild(tr);
tr.appendChild(td);
td.appendChild(_26);
td=document.createElement("TD");
td.className="tc2";
tr.appendChild(td);
td.appendChild(_27);
if(this.showSeconds){
td=document.createElement("TD");
td.className="tc2";
tr.appendChild(td);
}
td.appendChild(_28);
td=document.createElement("TD");
td.className="tc2";
tr.appendChild(td);
if(!this.is24hr){
td.appendChild(_29);
}else{
td.innerHTML="&nbsp;";
}
tr=document.createElement("TR");
td=document.createElement("TD");
td.className="tc3";
_1b.appendChild(_1e);
_1e.appendChild(tr);
tr.appendChild(td);
td.colSpan=this.showSeconds?4:3;
td.alignment="left";
td.appendChild(ok);
td.appendChild(_23);
td.appendChild(_25);
return div;
}
function TimeChooser_parseTime(val,_2c){
var hh="0";
var mm="0";
var ss="0";
var _30="";
var i=0;
var c="";
var _33="";
var _34=0;
if(val!=null&&val.length>0){
var _35=this.getText("AM");
var _36=this.getText("PM");
val=val.replace(new RegExp(_35),_35+" ");
val=val.replace(new RegExp(_36),_36+" ");
val=val.replace(new RegExp("\\W","g")," ");
val=val.replace(new RegExp("\\s+","g")," ");
var _37=val.split(" ");
while(i<_2c.length&&_34<_37.length){
c=_2c.charAt(i);
_33="";
while((_2c.charAt(i)==c)&&(i<_2c.length)){
_33+=_2c.charAt(i++);
}
if(_33=="hh"||_33=="h"||_33=="HH"||_33=="H"){
hh=this.formatNumber(_37[_34++],1);
}else{
if(_33=="mm"||_33=="m"){
mm=this.formatNumber(_37[_34++],1);
}else{
if(_33=="ss"||_33=="s"){
ss=this.formatNumber(_37[_34++],1);
}else{
if(_33=="a"){
_30=_37[_34++];
if(isNaN(parseInt(_30))){
if(_30!=null&&_30.toUpperCase()!=_35&&_30.toUpperCase()!=_36){
_30=_35;
}
}else{
_34--;
_30=_35;
}
}
}
}
}
}
}
return new Array(hh,mm,ss,_30);
}
function TimeChooser_formatNumber(_38,_39){
if(isNaN(parseInt(_38,10))){
_38="0";
}
while(_38.length<_39){
_38="0"+_38;
}
return _38;
}
function TimeChooser_formatTime(_3a,_3b,_3c,_3d,_3e){
var _3f=_3a.pattern;
var _40=_3a.pattern;
var _41="";
var i=0;
var c="";
var _41="";
while(i<_3f.length){
c=_3f.charAt(i);
_41="";
while((_3f.charAt(i)==c)&&(i<_3f.length)){
_41+=_3f.charAt(i++);
}
if(_41=="hh"||_41=="h"||_41=="HH"||_41=="H"){
_40=_40.replace(new RegExp(_41),_3a.formatNumber(_3b,_41.length));
}else{
if(_41=="mm"||_41=="m"){
_40=_40.replace(new RegExp(_41),_3a.formatNumber(_3c,_41.length));
}else{
if(_41=="ss"||_41=="s"){
if(_3a.showSeconds){
_40=_40.replace(new RegExp(_41),_3a.formatNumber(_3d,_41.length));
}
}else{
if(_41=="a"){
if(!_3a.is24hr){
_40=_40.replace(new RegExp(_41),_3e);
}
}
}
}
}
}
return _40;
}
function TimeChooser_getTimeChooser(_44){
var tc=null;
var tag=getEventTarget(_44);
while(tag!=null&&tag.tagName!="DIV"){
tag=tag.parentNode;
if(tag!=null&&tag.tagName=="DIV"){
tc=eval(tag.childNodes[0].value);
break;
}
}
return tc;
}
function TimeChooser_buttonOkHandler(_47){
TimeChooser_buttonOutHandler(_47);
var tc=TimeChooser_getTimeChooser(_47);
if(tc!=null){
var doc=getEventTarget(_47).ownerDocument;
var _4a=tc.getElementById(tc.makeId("hours"),doc).value;
var _4b=tc.getElementById(tc.makeId("minutes"),doc).value;
var _4c=tc.getElementById(tc.makeId("seconds"),doc).value;
var _4d=tc.is24hr?"":tc.getElementById(tc.makeId("ampm"),doc).value;
var _4e=tc.getElementById(tc.buttonID).parentNode.previousSibling.previousSibling;
var _4f=_4e.childNodes[_4e.childNodes.length-1];
_4f.value=TimeChooser_formatTime(tc,_4a,_4b,_4c,_4d);
TimeChooser_buttonCancelHandler(_47);
}else{
alert("TimeChooser_buttonOkHandler - null");
}
}
function TimeChooser_buttonCancelHandler(_50){
TimeChooser_buttonOutHandler(_50);
var tc=TimeChooser_getTimeChooser(_50);
if(tc!=null){
tc.hideTimeChooser();
var _52=tc.getElementById(tc.buttonID);
_52.focus();
}else{
alert("TimeChooser_buttonCancelHandler - null");
}
}
function TimeChooser_buttonOverHandler(_53){
var tag=getEventTarget(_53);
if(tag!=null){
tag.className="b2";
if(document.all){
tag.style.height="100%";
}
}
}
function TimeChooser_buttonOutHandler(_55){
var tag=getEventTarget(_55);
if(tag!=null){
tag.className="b1";
if(document.all){
tag.style.height="100%";
}
}
}

