if(!self.WUtilities){
self.WUtilities=new WUtilitiesImpl();
}
function WUtilitiesImpl(){
this.events=null;
this.cloneHTMLElement=WUtilities_cloneHTMLElement;
this.mergeAttributes=WUtilities_mergeAttributes;
this.mergeEventHandlers=WUtilities_mergeEventHandlers;
this.getElementById=WUtilities_getElementById;
this.getOwnerWindow=WUtilities_getOwnerWindow;
this.getOuterHTML=WUtilities_getOuterHTML;
this.getGUID=WUtilities_getGUID;
this.containsFrames=WUtilities_containsFrames;
this.appendHTMLElement=WUtilities_appendHTMLElement;
this.isRTL=WUtilities_isRTL;
this.addResizeCallback=WUtilities_addResizeCallback;
this.removeResizeCallback=WUtilities_removeResizeCallback;
this.isMovable=WUtilities_isMovable;
this.getWidth=WUtilities_getWidth;
this.getHeight=WUtilities_getHeight;
this.getLeft=WUtilities_getLeft;
this.getTop=WUtilities_getTop;
this.getScrollTop=WUtilities_getScrollTop;
this.getScrollLeft=WUtilities_getScrollLeft;
this.buildURL=WUtilities_buildURL;
this.buildForm=WUtilities_buildForm;
this.setStyleValue=WUtilities_setStyleValue;
this.alert=WUtilities_alert;
this.debug=WUtilities_debug;
this.status=WUtilities_status;
this.init=WUtilities_init;
this.init();
}
function WUtilities_init(){
this.events=["activate","afterupdate","beforeactivate","beforecopy","beforecut","beforedeactivate","beforeeditfocus ","beforepaste","beforeupdate","blur","change","click","close","contextmenu","controlselect","copy","cut","dblclick","deactivate","drag","dragend","dragenter","dragleave","dragover","dragstart","drop","error","errorupdate","filterchange","focus","focusin","focusout","help","keydown","keypress","keyup","layoutcomplete","load","losecapture","mousedown","mouseenter","mouseleave","mousemove","mouseout","mouseover","mouseup","mousewheel","move","moveend","movestart","paste","propertychange","readystatechange","reset","resize","resizeend","resizestart","scroll","selectstart","submit","timeerror","unload"];
}
function WUtilities_alert(_1){
alert(_1);
}
function WUtilities_debug(_2){
if(WLayerConstants.DEBUG){
this.alert("DEBUG: "+_2);
}
}
function WUtilities_status(_3){
window.status=""+_3;
}
function WUtilities_getOuterHTML(_4){
var _5="";
if(WClient.isBrowserInternetExplorer()){
_5=_4.outerHTML;
}else{
var _6=_4.ownerDocument;
var _7=_6.createElement("DIV");
_7.style.visibility="hidden";
_6.body.appendChild(_7);
_7.appendChild(_4);
_5=_7.innerHTML;
}
return _5;
}
function WUtilities_getGUID(_8){
var _9=(new Date()).valueOf();
var _a=parseInt(1000*Math.random());
return (""+_8+_9+_a);
}
function WUtilities_cloneHTMLElement(_b,_c,_d){
var _e=null;
if(_c.tagName){
_e=_b.createElement(_c.tagName);
if(_c.tagName=="INPUT"){
_e.type=_c.type;
}
this.mergeAttributes(_c,_e,_d);
this.mergeEventHandlers(_c,_e);
var _f=_c.childNodes;
for(var i=0;i<_f.length;i++){
_e.appendChild(this.cloneHTMLElement(_b,_f[i],true));
}
}else{
if(_c.data){
_e=_b.createTextNode(_c.data);
}else{
_e=_b.createTextNode("");
}
}
return _e;
}
function WUtilities_mergeAttributes(_11,_12,_13){
for(var i=0;i<_11.attributes.length;i++){
var _15=_11.attributes[i];
if(_15.nodeValue!=""&&(_13||(_15.nodeName!="id"&&_15.nodeName!="name"))){
_12.setAttribute(_15.nodeName,_15.nodeValue);
}
}
if(_11.style!=null&&_11.style.cssText!=null){
_12.style.cssText=_11.style.cssText;
}
if(_11.className!=null){
_12.className=_11.className;
}
}
function WUtilities_mergeEventHandlers(_16,_17){
for(var i=0;i<this.events.length;i++){
var _19="on"+this.events[i];
if(eval("source."+_19)){
var _1a=""+eval("source."+_19);
if(WClient.isBrowserInternetExplorer()&&_1a.toLowerCase().indexOf("function")!=0){
eval("target."+_19+"=new Function(\"\", \""+_16.getAttribute(_19)+"\")");
}else{
eval("target."+_19+"=source."+_19);
}
}
}
}
function WUtilities_getOwnerWindow(_1b){
var _1c=null;
if(_1b!=null){
var _1d=_1b;
if(WClient.isBrowserInternetExplorer()&&_1d.ownerDocument){
_1c=_1d.ownerDocument.parentWindow;
}else{
if(!_1d.ownerWindow){
var _1e=_1d.id;
var _1f=this.getGUID(_1d.id);
_1d.id=_1f;
var _20=this.getElementById(top,_1f);
if(_20&&_20.ownerDocument){
_1d=_20;
}
_1d.id=_1e;
_1c=_1d.ownerWindow;
}
}
}
return _1c;
}
function WUtilities_getElementById(_21,id){
var _23=null;
if(_21!=null){
var _24=_21.document;
if(_24!=null){
var _25=_24.getElementById(id);
if(_25){
if(!_25.ownerDocument){
_25.ownerDocument=_24;
}
if(!_25.ownerWindow){
_25.ownerWindow=_21;
}
_23=_25;
}else{
if(_21.frames){
for(var i=0;i<_21.frames.length;i++){
var _27=_21.frames[i];
_23=this.getElementById(_27,id);
if(_23!=null){
break;
}
}
}
}
}
}
return _23;
}
function WUtilities_containsFrames(_28){
var _29=false;
if(_28!=null){
_29=(_28.frames&&_28.frames.length!=0);
}
return _29;
}
function WUtilities_appendHTMLElement(_2a,_2b){
var _2c=false;
try{
_2b.appendChild(_2a);
_2c=true;
}
catch(e){
_2c=false;
}
if(!_2c){
try{
var doc=this.getOwnerWindow(_2b).document;
var _2e=this.cloneHTMLElement(doc,_2a,true);
_2b.appendChild(_2e);
_2c=true;
}
catch(e){
_2c=false;
}
}
if(!_2c){
try{
var _2f=this.getOuterHTML(_2a);
_2b.innerHTML=_2f;
_2c=true;
}
catch(e){
_2c=false;
}
}
return _2c;
}
function WUtilities_isRTL(_30,_31){
var rtl=false;
if(_30!=null){
rtl=(_30.dir!=null&&_30.dir!=""&&_30.dir.toLowerCase()=="rtl"?true:false);
if(_31&&_30.parentNode!=null){
rtl=(rtl||this.isRTL(_30.parentNode,_31,true));
}
if(WUtilities_isRTL.arguments!=null&&WUtilities_isRTL.arguments.length!=3&&_31){
_30.dir=(rtl?"rtl":"ltr");
}
}
return rtl;
}
var WUtilities_resizeCallbackMap=new Object();
function WUtilities_addResizeCallback(id,_34){
WUtilities_resizeCallbackMap[id]=_34;
}
function WUtilities_removeResizeCallback(id){
WUtilities_resizeCallbackMap[id]=null;
}
function WUtilities_handleWindowResize(e){
if(!window.recursing&&window.store_onresize&&(typeof window.store_onresize)=="function"){
window.recursing=true;
window.store_onresize(e);
}
window.recursing=false;
for(var id in WUtilities_resizeCallbackMap){
var _38=WUtilities_resizeCallbackMap[id];
if(_38!=null&&(typeof _38)=="function"){
_38(e);
}
}
}
window.store_onresize=window.onresize;
window.onresize=WUtilities_handleWindowResize;
WUtilities_setWindowLoadHandler();
function WUtilities_setWindowLoadHandler(){
var _39=window.onload;
window.onload=function(){
if(_39&&(typeof _39)=="function"){
_39();
}
window.loaded=true;
};
}
function WUtilities_isMovable(_3a){
if(_3a!=null&&_3a.style!=null){
var _3b=_3a.style.position;
if(_3b!=null&&(_3b=="relative"||_3b=="absolute")){
return true;
}
}
return false;
}
function WUtilities_getWidth(_3c){
return _3c.offsetWidth;
}
function WUtilities_getHeight(_3d){
return _3d.scrollHeight;
}
function WUtilities_getLeft(_3e,_3f){
var _40=0;
if(_3e!=null){
if(_3f&&_3e.offsetParent!=null){
_40+=this.getLeft(_3e.offsetParent,_3f,true);
}
_40+=_3e.offsetLeft;
}
return _40;
}
function WUtilities_getTop(_41,_42){
var _43=0;
if(_41!=null){
if(_42&&_41.offsetParent!=null){
_43+=this.getTop(_41.offsetParent,_42,true);
}
_43+=_41.offsetTop;
}
return _43;
}
function WUtilities_getScrollTop(){
if(WClient.isBrowserInternetExplorer()){
return parseInt(Math.max(document.documentElement.scrollTop,document.body.scrollTop));
}else{
return window.pageYOffset;
}
}
function WUtilities_getScrollLeft(){
if(WClient.isBrowserInternetExplorer()){
if(this.isRTL(document.documentElement,true)){
return document.documentElement.scrollWidth-document.documentElement.clientWidth;
}else{
return parseInt(Math.max(document.documentElement.scrollLeft,document.body.scrollLeft));
}
}else{
return window.pageXOffset;
}
}
function WUtilities_buildURL(_44,_45,_46,_47){
var url=new String(_44);
if(_45){
var _49="";
var _4a=url.indexOf("#");
if(_4a!=-1){
_49=url.substring(_4a);
url=url.substring(0,_4a);
}
url+=(_44.indexOf("?")==-1?"?":"&");
if((typeof _45)=="object"){
var _4b=0;
var _4c=null;
for(_4c in _45){
var _4d=_45[_4c];
if(_4b++!=0){
url+="&";
}
if(_46){
url+=_46;
}
url+=_4c;
if(_47){
url+=_47;
}
url+="=";
url+=escape(_4d);
}
}else{
url+=_45;
}
url+=_49;
}
return url;
}
function WUtilities_buildForm(_4e,_4f,_50,_51){
var _52=document.createElement("FORM");
_52.action=_4e;
_52.method="post";
_52.enctype="application/x-www-form-urlencoded";
if(_4f){
if((typeof _4f)=="object"){
var _53=0;
var _54=null;
for(_54 in _4f){
var _55=_4f[_54];
if(_50){
_54=_50+_54;
}
if(_51){
_54+=_51;
}
var _56=document.createElement("INPUT");
_56.type="hidden";
_56.name=_54;
_56.value=_55;
_52.appendChild(_56);
}
}
}
return _52;
}
function WUtilities_setStyleValue(_57,_58,_59,_5a){
if(_57&&_57.style){
_57.style.setAttribute(_58,_59);
if(_5a){
for(var i=0;i<_57.childNodes.length;i++){
var _5c=_57.childNodes.item(i);
this.setStyleValue(_5c,_58,_59,_5a);
}
}
}
}
function WEvent(_5d){
this.eventObject=(_5d?_5d:window.event);
this.cancelBubble=false;
this.returnValue=true;
this.getEventType=new Function("","return this.eventObject.type;");
this.getEventObject=new Function("","return this.eventObject;");
this.getDispatchElement=WEvent_getDispatchElement;
this.getTargetElement=WEvent_getTargetElement;
this.getCancelBubble=new Function("","return this.cancelBubble;");
this.setCancelBubble=WEvent_setCancelBubble;
this.getReturnValue=new Function("","return this.returnValue;");
this.setReturnValue=WEvent_setReturnValue;
this.isMouseEvent=WEvent_isMouseEvent;
this.getOffsetPosition=WEvent_getOffsetPosition;
this.getPagePosition=WEvent_getPagePosition;
this.getScreenPosition=new Function("","return new Position(this.eventObject.screenX,this.eventObject.screenY,0);");
this.getButtonCode=new Function("","return this.eventObject.button;");
this.isKeyEvent=WEvent_isKeyEvent;
this.isAltKeyPressed=new Function("","return this.eventObject.altKey;");
this.isCtrlKeyPressed=new Function("","return this.eventObject.ctrlKey;");
this.isShiftKeyPressed=new Function("","return this.eventObject.shiftKey;");
this.getKeyCode=WEvent_getKeyCode;
}
function WEvent_getDispatchElement(){
if(WClient.isBrowserInternetExplorer()){
return (this.eventObject.srcElement?this.eventObject.srcElement:window.document);
}else{
if(WClient.isBrowserMozilla()){
var _5e=this.eventObject.target;
if(_5e){
if(_5e.frames){
return _5e.document;
}else{
return _5e;
}
}else{
return null;
}
}else{
return null;
}
}
}
function WEvent_getTargetElement(){
if(WClient.isBrowserInternetExplorer()){
var _5f="on"+this.getEventType();
var _60=this.eventObject.srcElement;
while(_60!=null&&!eval("element."+_5f)){
_60=_60.parentNode;
}
return _60;
}else{
if(WClient.isBrowserMozilla()){
var _60=this.eventObject.currentTarget;
if(_60){
if(_60.frames){
return _60.document;
}else{
return _60;
}
}else{
return null;
}
}else{
return null;
}
}
}
function WEvent_setCancelBubble(_61){
this.cancelBubble=_61;
this.eventObject.cancelBubble=this.cancelBubble;
}
function WEvent_setReturnValue(_62){
this.returnValue=_62;
if(WClient.isBrowserInternetExplorer()){
this.eventObject.returnValue=this.returnValue;
}
}
function WEvent_isMouseEvent(){
return (this.getKeyCode()==0);
}
function WEvent_getOffsetPosition(){
if(WClient.isBrowserInternetExplorer()){
return new Position(this.eventObject.offsetX,this.eventObject.offsetY,0);
}else{
if(WClient.isBrowserMozilla()){
return new Position(this.eventObject.clientX,this.eventObject.clientY,0);
}else{
return null;
}
}
}
function WEvent_getPagePosition(){
if(WClient.isBrowserInternetExplorer()){
var _63=this.eventObject.clientX;
var _64=this.eventObject.clientY;
if(!WUtilities.isRTL(document.documentElement,true)){
_63+=WUtilities.getScrollLeft();
_64+=WUtilities.getScrollTop();
}
return new Position(_63,_64,0);
}else{
if(WClient.isBrowserMozilla()){
return new Position(this.eventObject.pageX,this.eventObject.pageY,0);
}else{
return null;
}
}
}
function WEvent_isKeyEvent(){
return (this.getKeyCode()!=0);
}
function WEvent_getKeyCode(){
if(WClient.isBrowserInternetExplorer()){
return this.eventObject.keyCode;
}else{
if(WClient.isBrowserMozilla()){
return (this.eventObject.keyCode!=0?this.eventObject.keyCode:this.eventObject.charCode);
}else{
return null;
}
}
}
function WImage(_65,_66,_67,_68,alt){
this.srcLTR=_65;
this.srcRTL=_66;
this.width=_67;
this.height=_68;
this.alt=alt;
this.createElement=WImage_createElement;
this.preloadImage=WImage_preloadImage;
this.getSrc=WImage_getSrc;
this.preloadImage(this.srcLTR);
this.preloadImage(this.srcRTL);
}
function WImage_getSrc(_6a){
if(_6a!=null&&_6a==false&&this.srcRTL!=null){
return this.srcRTL;
}else{
return this.srcLTR;
}
}
function WImage_createElement(_6b){
var img=document.createElement("IMG");
img.src=this.getSrc(_6b);
img.width=this.width;
img.height=this.height;
img.alt=(this.alt?this.alt:"");
img.border=0;
img.style.display="block";
return img;
}
function WImage_preloadImage(src){
if(src!=null){
var _6e=new Image();
_6e.src=src;
}
}
function WStyle(_6f,_70){
this.styleLTR=_6f;
this.styleRTL=_70;
if(this.styleRTL==null){
this.styleRTL=this.styleLTR;
}
this.applyStyle=WStyle_applyStyle;
}
function WStyle_applyStyle(tag,_72){
if(tag!=null){
if(_72!=null&&_72==false){
if(this.styleRTL!=null){
tag.style.cssText=this.styleRTL;
tag.setAttribute("style",this.styleRTL);
}
}else{
if(this.styleLTR!=null){
tag.style.cssText=this.styleLTR;
tag.setAttribute("style",this.styleLTR);
}
}
tag.className=null;
}
}
if(!self.WConnectionManager){
self.WConnectionManager=new Object();
}
function WConnection(){
this.id=WUtilities.getGUID("WConnection");
this.downloadId=WUtilities.getGUID("WConnection_download");
this.downloadCallback=null;
this.maxDownloadWaitTime=-1;
this.downloadStartTime=0;
this.downloadTimer=null;
this.downloadTimeoutTimer=null;
this.downloadComplete=false;
this.destroy=WConnection_destroy;
this.isDestroyed=WConnection_isDestroyed;
this.download=WConnection_download;
this.isDownloadComplete=WConnection_isDownloadComplete;
WConnectionManager[this.id]=this;
}
function WConnection_destroy(){
WConnectionManager[this.id]=null;
}
function WConnection_isDestroyed(){
return (WConnectionManager[this.id]==null);
}
function WConnection_download(url,_74,_75){
this.downloadCallback=_74;
this.maxDownloadWaitTime=(_75?_75:-1);
this.downloadStartTime=(new Date()).valueOf();
this.downloadComplete=false;
var _76=document.getElementById(this.id);
if(_76!=null){
if(WClient.isBrowserInternetExplorer()){
document.body.removeChild(_76);
}else{
this.downloadId=WUtilities.getGUID("WConnection_download");
}
}
_76=document.createElement("IFRAME");
with(_76){
id=this.downloadId;
name=this.downloadId;
src=url;
frameBorder=0;
marginHeight=0;
marginWidth=0;
with(style){
position="absolute";
visibility="hidden";
}
}
document.body.appendChild(_76);
if(WClient.isBrowserInternetExplorer()){
WConnection_waitForDownload(this.id);
}else{
if(WClient.isBrowserFirefox()){
this.downloadTimer=setTimeout("WConnection_waitForDownload('"+this.id+"')",500);
}else{
WConnection_checkDownloadTimeout(this.id);
var _77=window.frames[this.downloadId];
_77.onload=new Function("","WConnection_waitForDownload('"+this.id+"');");
}
}
}
function WConnection_downloadCompleted(_78){
var _79=(_78?WConnectionManager[_78]:this);
var _7a=window.frames[_79.downloadId];
var _7b=_7a.document.documentElement;
var _7c=null;
clearTimeout(_79.downloadTimer);
clearTimeout(_79.downloadTimeoutTimer);
var _7d=(new Date()).valueOf();
var _7e=(_7d-_79.downloadStartTime);
if(WClient.isBrowserMozilla()){
var _7f="<"+_7b.tagName;
var _80="</"+_7b.tagName+">";
for(var i=0;i<_7b.attributes.length;i++){
var _82=_7b.attributes.item(i);
_7f+=" "+_82.name+"=\""+_82.value+"\"";
}
_7f+=">";
_7c=_7f+_7b.innerHTML+_80;
var _83=document.getElementById(_79.id);
if(_83!=null){
_83.disabled=true;
}
}else{
_7c=_7b.outerHTML;
}
_79.downloadComplete=true;
if(_79.downloadCallback&&(typeof _79.downloadCallback)=="function"){
_79.downloadCallback(_7c,_7e);
}
}
function WConnection_downloadFailed(_84){
var _85=(_84?WConnectionManager[_84]:this);
var _86=(new Date()).valueOf();
var _87=(_86-_85.downloadStartTime);
clearTimeout(_85.downloadTimer);
clearTimeout(_85.downloadTimeoutTimer);
_85.downloadComplete=true;
if(_85.downloadCallback&&(typeof _85.downloadCallback)=="function"){
_85.downloadCallback(null,_87);
}
}
function WConnection_waitForDownload(_88){
var _89=(_88?WConnectionManager[_88]:this);
var _8a=(new Date()).valueOf();
var _8b=(_8a-_89.downloadStartTime);
clearTimeout(_89.downloadTimer);
if(!_89.downloadComplete){
if(_89.maxDownloadWaitTime!=-1&&_8b>_89.maxDownloadWaitTime){
WConnection_downloadFailed(_89.id);
}else{
if(!_89.isDownloadComplete()){
_89.downloadTimer=setTimeout("WConnection_waitForDownload('"+_88+"')",20);
}else{
WConnection_downloadCompleted(_89.id);
}
}
}
}
function WConnection_checkDownloadTimeout(_8c){
var _8d=(_8c?WConnectionManager[_8c]:this);
var _8e=(new Date()).valueOf();
var _8f=(_8e-_8d.downloadStartTime);
clearTimeout(_8d.downloadTimeoutTimer);
if(!_8d.downloadComplete){
if(_8d.maxDownloadWaitTime!=-1&&_8f>_8d.maxDownloadWaitTime){
WConnection_downloadFailed(_8d.id);
}else{
_8d.downloadTimeoutTimer=setTimeout("WConnection_checkDownloadTimeout('"+_8d.id+"')",20);
}
}
}
function WConnection_isDownloadComplete(_90){
var _91=(_90?WConnectionManager[_90]:this);
var _92=false;
if(_91.downloadComplete){
_92=true;
}else{
try{
var _93=window.frames[_91.downloadId];
if(WClient.isBrowserInternetExplorer()){
_92=(_93&&_93.document&&_93.document.documentElement&&_93.document.readyState=="complete");
}else{
_92=(_93&&_93.document&&_93.document.documentElement);
}
}
catch(e){
WConnection_downloadFailed(_91.id);
}
}
return _92;
}
function Position(x,y,z){
this.x=(x?x:0);
this.y=(y?y:0);
this.z=(z?z:100);
this.getX=new Function("","return this.x");
this.getY=new Function("","return this.y");
this.getZ=new Function("","return this.z");
this.toString=new Function("","return (\"[x=\"+this.x+\",y=\"+this.y+\",z=\"+this.z+\"]\")");
this.equals=new Function("p","return ( p != null && p.x == this.x && p.y == this.y  )");
}
Point=Position;
function Dimension(_97,_98){
this.width=(_97?_97:0);
this.height=(_98?_98:0);
this.getWidth=new Function("","return this.width");
this.getHeight=new Function("","return this.height");
this.toString=new Function("","return (\"[width=\"+this.width+\",height=\"+this.height+\"]\")");
this.equals=new Function("d","return ( d != null && d.width == this.width && d.height == this.height )");
}
function Rectangle(x,y,_9b,_9c){
this.x=(x?x:0);
this.y=(y?y:0);
this.width=(_9b?_9b:0);
this.height=(_9c?_9c:0);
this.getX=new Function("","return this.x");
this.getY=new Function("","return this.y");
this.getWidth=new Function("","return this.width");
this.getHeight=new Function("","return this.height");
this.toString=new Function("","return (\"[x=\"+this.x+\",y=\"+this.y+\",width=\"+this.width+\",height=\"+this.height+\"]\")");
this.equals=new Function("r","return ( r != null && r.x == this.x && r.y == this.y && r.width == this.width && r.height == this.height )");
}
function getEvent(_9d){
if(_9d!=null){
return _9d;
}else{
if(window.event!=null){
return window.event;
}else{
for(var i=0;i<document.frames.length;i++){
if(document.frames[i].window.event!=null){
return document.frames[i].window.event;
}
}
}
}
return null;
}
function getEventTarget(_9f){
var _a0=getEvent(_9f);
if(_a0!=null){
if(_a0.target!=null){
return _a0.target;
}else{
if(_a0.srcElement!=null){
return _a0.srcElement;
}
}
}
return null;
}
function getEventDocument(_a1){
var _a2=getEventTarget(_a1);
if(_a2!=null){
return _a2.ownerDocument;
}
return null;
}

